<template>
  <nav class="width-ctrl">
    <div class="home-button">
      <img src="../../public/icons/Artboard 2.svg" class="icon-64 white-bg"/><a>WeatherCast</a>
    </div>
    <ul class="nav-links">
      <li>
        <a href="">à propos</a>
      </li>
      <li>
        <a href="">Modes d'utilisation</a>
      </li>
    </ul>
  </nav>
</template>

<script>
export default {
  name: 'TopBar',
}
</script>

<style>
nav {
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 64px;
  font-weight: 600;
  font-size: 28px;
  background: linear-gradient(
      -90deg,
      var(--color-primary-0),
      var(--color-primary-0-1)
  );
  box-sizing: border-box;
  margin: 0 8px;
  padding: 0;
  justify-content: space-between;
  border-bottom-right-radius: 16px;
}

ul.nav-links {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  height: 100%;
  background-color: var(--color-primary-1-1);
  padding: 0 16px 8px 16px;
  box-sizing: border-box;
  border-bottom-right-radius: 16px;
}

nav li {
  list-style: none;
}

nav li a {
  font-weight: 400;
  font-size: 24px;
  color: var(--color-primary-0);
}

.home-button {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  width: fit-content;
  box-sizing: border-box;
  margin: 0;
  color: white;
  background-color: var(--color-primary-3);
}

@media screen and (max-width: 750px) {
  .home-button a {
    display: none;
  }
}

@media screen and (max-width: 500px) {
  .nav-links a {
    font-size: 16px;
  }

  ul.nav-links {
    padding: 4px 4px 16px;
  }
  nav {
    height: 48px;
  }
  .home-button img {
    height: 48px;
    width: 48px;
  }
}

</style>
